### Constructor

# Peas ObjectModule new

#### Declaration [src]

    PeasObjectModule*
    peas_object_module_new (
      const gchar* module_name,
      const gchar* path,
      gboolean resident
    )

#### Description [src]

Creates a new `PeasObjectModule`.

This constructor is not directly available to language bindings.

#### Parameters

`module_name`

  Type: `const gchar*`

  The module name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`path`

  Type: `const gchar*`

  The path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`resident`

  Type: `gboolean`

  If the module should be resident.

#### Return value

Type: `PeasObjectModule`

A new `PeasObjectModule`.

The caller of the function takes ownership of the data, and is responsible for freeing it.